
Ruby - Feature #9371

Remove NQXML from xmlrpc/parser

01/06/2014 10:41 PM - herwinw (Herwin Quarantainenet)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

Description

In lib/xmlrpc/parser.rb a number of parsing backends exist. One of them uses the library nqxml. There is no gem for this library, the

sourceforge page shows this library hasn't been updated for almost 12 years, and the official page has the following line on the main

page: "Ruby 1.8 now ships with REXML, an excellent XML parser for Ruby by Sean Russell. It includes XPath support. You should

probably use that instead of NQXML."

I think it would be better if support for NQXML would be dropped from the libraries.

Associated revisions

Revision 0676ce8739bfcacf1d994fbeae137aceb0f5ff48 - 02/26/2016 02:25 AM - hsbt (Hiroshi SHIBATA)

lib/xmlrpc.rb: Removed references to NQXML. It's obsoleted parser.

[fix GH-1245][ruby-core:59593][Feature #9371]

lib/xmlrpc/config.rb: ditto.

lib/xmlrpc/parser.rb: ditto.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@53946 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 0676ce87 - 02/26/2016 02:25 AM - hsbt (Hiroshi SHIBATA)

lib/xmlrpc.rb: Removed references to NQXML. It's obsoleted parser.

[fix GH-1245][ruby-core:59593][Feature #9371]

lib/xmlrpc/config.rb: ditto.

lib/xmlrpc/parser.rb: ditto.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@53946 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/26/2016 02:24 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed

Applied in changeset r53946.

lib/xmlrpc.rb: Removed references to NQXML. It's obsoleted parser.

[fix GH-1245][ruby-core:59593][Feature #9371]

lib/xmlrpc/config.rb: ditto.

lib/xmlrpc/parser.rb: ditto.
